package com.goafanti.achievement.bo;

import java.math.BigDecimal;
import java.util.Date;

public class AchievementEntity {
	private String keyword;
    private String field1;//行业---字符串
    private String field2;//行业---字符串
    private String field3;//行业---字符串
    private Integer isHot;//热门
    private Date releaseDate;//发布时间
    private Integer interestCount;//收藏数
    private String id;//id
    private Integer dataCategory;//成果类型
    private String name;//成果名称
    private Integer category;//知识产权分类
    private String summary;//简介
    private String introduction;//介绍
    private String technicalPictureUrl;//图片
    private Integer fieldA;//行业
    private Integer fieldB;//行业
    private Integer fieldC;//行业
    private Integer maturity;//成熟度
    private Integer innovation;//创新度
    private Integer transferMode;//交易形式
    private BigDecimal transferPrice;//价格
    private Integer status;//状态
    private Integer releaseStatus;//发布状态
    private Integer auditStatus;//审核状态
    private Integer boutique;//是否精品
    private Integer interest;//是否感兴趣
    private Integer orderCount;//订单数
	private String pictureUrlMin;//APP图片
	private String  ownerName;//所有人名称
	private String ownerMobile;//所有人电话

    public String getField2() {
		return field2;
	}

	public void setField2(String field2) {
		this.field2 = field2;
	}

	public String getField3() {
		return field3;
	}

	public void setField3(String field3) {
		this.field3 = field3;
	}

	public Integer getFieldB() {
		return fieldB;
	}

	public void setFieldB(Integer fieldB) {
		this.fieldB = fieldB;
	}

	public Integer getFieldC() {
		return fieldC;
	}

	public void setFieldC(Integer fieldC) {
		this.fieldC = fieldC;
	}

	public String getField1() {
        return field1;
    }

    public void setField1(String field1) {
        this.field1 = field1;
    }

    public Integer getIsHot() {
        return isHot;
    }

    public void setIsHot(Integer isHot) {
        this.isHot = isHot;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public Integer getInterestCount() {
        return interestCount;
    }

    public void setInterestCount(Integer interestCount) {
        this.interestCount = interestCount;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getDataCategory() {
        return dataCategory;
    }

    public void setDataCategory(Integer dataCategory) {
        this.dataCategory = dataCategory;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getTechnicalPictureUrl() {
        return technicalPictureUrl;
    }

    public void setTechnicalPictureUrl(String technicalPictureUrl) {
        this.technicalPictureUrl = technicalPictureUrl;
    }

    public Integer getFieldA() {
        return fieldA;
    }

    public void setFieldA(Integer fieldA) {
        this.fieldA = fieldA;
    }

    public Integer getMaturity() {
        return maturity;
    }

    public void setMaturity(Integer maturity) {
        this.maturity = maturity;
    }

    public Integer getInnovation() {
        return innovation;
    }

    public void setInnovation(Integer innovation) {
        this.innovation = innovation;
    }

    public Integer getTransferMode() {
        return transferMode;
    }

    public void setTransferMode(Integer transferMode) {
        this.transferMode = transferMode;
    }

    public BigDecimal getTransferPrice() {
        return transferPrice;
    }

    public void setTransferPrice(BigDecimal transferPrice) {
        this.transferPrice = transferPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getReleaseStatus() {
        return releaseStatus;
    }

    public void setReleaseStatus(Integer releaseStatus) {
        this.releaseStatus = releaseStatus;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getBoutique() {
        return boutique;
    }

    public void setBoutique(Integer boutique) {
        this.boutique = boutique;
    }

    public Integer getInterest() {
        return interest;
    }

    public void setInterest(Integer interested) {
        this.interest = interested;
    }

    public Integer getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(Integer orderCount) {
        this.orderCount = orderCount;
    }

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public String getPictureUrlMin() {
		return pictureUrlMin;
	}

	public void setPictureUrlMin(String pictureUrlMin) {
		this.pictureUrlMin = pictureUrlMin;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getOwnerMobile() {
		return ownerMobile;
	}

	public void setOwnerMobile(String ownerMobile) {
		this.ownerMobile = ownerMobile;
	}
}
